This is a Windows console application that can be used to change the encoding of a text file. 
![](Home_http://codeutil.files.wordpress.com/2013/09/encodingconverter.jpg)
How to use it:
* Download the application
* Open command prompt
* Launch the application passing the following arguments separated with space:
	* The path to the folder that contains the files to be converted. Example: C:\Files
	* A file pattern (see the next link for details about the available wildcard characters [ http://www.microsoft.com/resources/documentation/windows/xp/all/proddocs/en-us/find_c_search_where.mspx?mfr=true]( http://www.microsoft.com/resources/documentation/windows/xp/all/proddocs/en-us/find_c_search_where.mspx?mfr=true)). Example: *.csv
	* The desired encoding. Example: ANSI

For example, let's suppose that you're calling the application passing the arguments: C:\Files *.csv ANSI In this case, the application will convert to an ANSI encoding all the files with the extension .csv that are located under the folder C:\Files

The complete list of available encodings can be found on MSDN - [ http://msdn.microsoft.com/en-us/library/system.text.encoding.aspx]( http://msdn.microsoft.com/en-us/library/system.text.encoding.aspx)

You can see the same list by launching the console application with the command prompt and passing the argument: **HELP**

For more details please check my blog: **[ http://codeutil.wordpress.com/2013/09/03/encodingconverter-console-application]( http://codeutil.wordpress.com/2013/09/03/encodingconverter-console-application)**